@font-face {
font-family: 'Ubuntu';
src: url(./fonts/Ubuntu-Regular.woff2);
font-weight: 400;
font-display: swap;
}
* {
box-sizing: border-box;
}
body {
font-family: 'Ubuntu', sans-serif;

}
.background-img {
background-image: url(./img/background-img.png);
position: absolute;
top: 0;
left: 0;
width: 100vw;
height: 100vh;
background-size: cover;
}
.header-menu {
background: rgba(0, 0, 0, 0.4);
box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
display: flex;
justify-content: space-between;
}
.header-title {
font-weight: bold;
font-size: 22px;
color: #FFFFFF;
padding-top: 18px;
padding-left: 79px;
padding-bottom: 18px;
}
.header-title:hover {
color:  #01813F;
}
.header-logo-exit {
padding-top: 18px;
padding-right: 79px;
padding-bottom: 18px;
display: flex;
position: relative;
}
.header-logo {
padding-right: 53px;
display: flex;
gap: 24px;
}
.header-logo-svg:hover {
fill:  #01813F;
}
.header-exit {
font-size: 14px;
color: #FFFFFF;
}
.header-exit-autorization:hover {
color:  #01813F;
}
.header-exit::before {
content: "";
position: absolute;
width: 1px;
height: 19px;
left: 140px;
background: rgba(255, 255, 255, 0.9);
mix-blend-mode: normal;
opacity: 0.5;
}
.form {
position: absolute;
left: 50%;
top: calc(50% + 30px);
transform: translate(-50%, -50%);
}
.sign-up-form {
max-width: 444px;
height: 100%;
background: #FFFFFF;
box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
padding-right: 60px;
padding-left: 60px;
position: relative;
}
.sign-up-form::before {
content: "";
width: 18px;
height: 18px;
background: #3CB878;
position: absolute;
top: 29px;
left: 0px;
}
.form-authorization {
display: flex;
justify-content: space-between;
padding-top: 31px;
}
.sign-up-title {
font-size: 20px;
color: #434343;
}
.log-in-title {
font-size: 14px;
color: #3CB878;
}
.button-authorization {
display: flex;
justify-content: center;
gap: 4px;
margin-top: 15px;
position: relative;
}
.button-authorization::before {
content: "";
width: 1px;
height: 28px;
background: #0A162F;
mix-blend-mode: normal;
opacity: 0.1;
bottom: 10px;
position: absolute;
left: 48px;
}
.button-authorization::after {
content: "";
width: 1px;
height: 28px;
background: #2B0D09;
mix-blend-mode: normal;
opacity: 0.1;
position: absolute;
bottom: 10px;
right: 111px;
}
.facebook-authorization {
font-size: 16px;
color: #FFFFFF;
width: 160px;
height: 48px;
background: #305DB8;
border-radius: 4px;
padding-right: 22px;
text-align: right;
}
.facebook-authorization-logo {
position: absolute;
color: #FFFFFF;
font-size: 24px;
top: 12px;
left: 17px;
}
.google-authorization {
font-size: 16px;
color: #FFFFFF;
width: 160px;
height: 48px;
background: #DF4A32;
border-radius: 4px;
padding-right: 27px;
text-align: right;
}
.google-authorization-logo {
position: absolute;
color: #FFFFFF;
font-size: 24px;
top: 12px;
right: 120px;
}
.alternative-text {
margin-top: 31px;
font-size: 14px;
color: #848484;
text-align: center;
}
.alternative-text::before {
content: "";
position: absolute;
width: 152px;
border: 1px solid #F2F2F2;
left: 58px;
bottom: 450px;
}
.alternative-text::after {
content: "";
position: absolute;
width: 152px;
border: 1px solid #F2F2F2;
right: 60px;
bottom: 450px;
}
.filling-form {
display: grid;
grid-template-columns: 1fr;
gap: 15px;
margin-top: 17px;
}
.form-field {
width: 100%;
border: 1px solid #F2F2F2;
border-radius: 4px;
font-size: 14px;
padding-top: 14px;
padding-bottom: 16px;
padding-left: 20px;
}
.form-field:focus {
font-size: 14px;
color: #434343;
background: #FFFFFF;
box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
border-radius: 4px;
}
.form-field-label {
width: 100%;
font-size: 14px;
padding-left: 30px;
font-size: 14px;
color: #434343;
}
.form-field-label::before {
content: "";
position: absolute;
width: 20px;
height: 20px;
background: rgba(0, 0, 0, 0.0001);
border: 1px solid #F2F2F2;
left: 62px;
bottom: 99px;
}
.form-checkbox {
position: absolute;
z-index: -1;
opacity: 0;
}
.checked {
color: #3CB878;
font-size: 18px;
position: absolute;
left: 64px;
bottom: 99px;
opacity: 0;
}
.form-checkbox:checked ~ .checked {
opacity: 1;
}
.form-checkbox:checked ~ span {
color: #3CB878;
}
.checked-line {
display: inline-block;
width: 120px;
position: absolute;
background-color: #3CB878;
height: 1px;
left: 190px;
bottom: 99px;
transition: all 0.5s linear;
opacity: 0;
}
.form-checkbox:checked:hover ~ .checked-line {
opacity: 1;
}
.form-field-submit {
width: 100%;
font-size: 16px;
color: #FFFFFF;
background: rgba(60, 184, 120, 0.8);
border-radius: 4px;
padding: 16px 99px;
margin-bottom: 38px;
border: none;
}